For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
API Key

list

GET
https://api.groundx.ai/api/v1/apikey
GET
/api/v1/apikey
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.api_key.list()
200Retrieved
1{
2 "apiKeys": [
3 {
4 "apiKey": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
5 "created": "2024-05-10T14:22:35.123Z",
6 "name": "Production Service Key"
7 }
8 ]
9}
List all API keys within your GroundX account
Was this page helpful?
Previous

create

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Response

Look up success
apiKeyslist of objects